summaryrefslogtreecommitdiffstats
path: root/network/thttpd/rc.thttpd
diff options
context:
space:
mode:
author Antonio Hernández Blas2010-05-13 01:00:23 +0200
committer David Somero2010-05-13 01:00:23 +0200
commit31aa3ec3e0153775e449bcdfeaba83b156746c93 (patch)
treebe8ee615ec4a3195c01c409df29f6eb1edfab7d0 /network/thttpd/rc.thttpd
parent70696b7acf8911f58e6bce1d69c694c3bb233336 (diff)
downloadslackbuilds-31aa3ec3e0153775e449bcdfeaba83b156746c93.tar.gz
network/thttpd: Added to 13.0 repository
Diffstat (limited to 'network/thttpd/rc.thttpd')
-rw-r--r--network/thttpd/rc.thttpd63
1 files changed, 63 insertions, 0 deletions
diff --git a/network/thttpd/rc.thttpd b/network/thttpd/rc.thttpd
new file mode 100644
index 0000000000..20187b116c
--- /dev/null
+++ b/network/thttpd/rc.thttpd
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+# Start/stop/restart the thttpd daemon
+# Copyright (c) 2009 Antonio Hernández Blas <hba.nihilismus@gmail.com>
+
+CONF='/etc/thttpd.conf'
+CMMD="/usr/sbin/thttpd -C $CONF"
+
+thttpd_start() {
+ if [ -x /usr/sbin/thttpd ]; then
+ if [ -f $CONF ]; then
+ PIDOF=$(pgrep -f "$CMMD")
+ if [ ! -z "$PIDOF" ]; then
+ echo "Error, thttpd is already running."
+ else
+ echo "Starting thttpd: $CMMD"
+ $CMMD
+ fi
+ else
+ echo "Error, file $CONF does not exist."
+ fi
+ fi
+}
+
+thttpd_stop() {
+ THTTPDPID=$(pgrep -f "$CMMD")
+ if [ -z $THTTPDPID ]; then
+ echo "Error, thttpd is not running."
+ else
+ echo "Stoping thttpd: kill $THTTPDPID"
+ kill $THTTPDPID
+ fi
+}
+
+thttpd_status() {
+ PIDOF=$(pgrep -f "$CMMD")
+ if [ ! -z "$PIDOF" ]; then
+ echo "thttpd is running."
+ else
+ echo "thttpd is not running."
+ fi
+}
+
+case $1 in
+ start)
+ thttpd_start
+ ;;
+ stop)
+ thttpd_stop
+ ;;
+ restart)
+ thttpd_stop
+ sleep 3
+ thttpd_start
+ ;;
+ status)
+ thttpd_status
+ ;;
+ *)
+ echo "Usage $0 {start|stop|restart|status}"
+ exit 1
+ ;;
+esac